Subject: Re: 2.6.23-rc4-mm1

From: Andrew Morton <[email-masked]>
Date: Fri, 31 Aug 2007 23:58:15 -0700

> On Sat, 1 Sep 2007 15:53:53 +0900 KAMEZAWA Hiroyuki <[email-masked]> wrote:
> I met 2 troubles while I compiled rc4-mm1 on x86/UP system,
> 
> One on pcnet32.c (patch is attaced below).
> One on crypto CONFIG.
> 
> == compile log ==
> drivers/net/pcnet32.c: In function 'pcnet32_netif_stop':
> drivers/net/pcnet32.c:445: warning: unused variable 'lp'
> drivers/net/pcnet32.c: In function 'pcnet32_netif_start':
> drivers/net/pcnet32.c:455: warning: unused variable 'lp'
> drivers/net/pcnet32.c: In function 'pcnet32_interrupt':
> drivers/net/pcnet32.c:2622: error: 'struct net_device' has no member named 'napi'

Only git-net touches pcnet32.c

> crypto/built-in.o: In function `update2':
> digest.c:(.text+0x94a): undefined reference to `crypto_km_types'
> digest.c:(.text+0x9bf): undefined reference to `crypto_km_types'
> 
> digest.c (CONFIG_CRYPTO) uses crypto/scatterwalk.c's object (CONFIG_CRYPTO_ALGAPI)
> I meet this when CONFIG_CRYPTO_ALGAPI=m. I need to make CONFIG_CRYPTO_ALGAPI=y.

cc herbert..

> Regards,
> -Kame.
> == cut from here ==
> 
>  tiny bug fix for pcnet32.c (maybe works well. please confirm.)
> 
>  Signed-off-by: KAMEZAWA Hiroyuki <[email-masked]>
> 
>  drivers/net/pcnet32.c |    2 +-
>  1 file changed, 1 insertion(+), 1 deletion(-)
> 
> Index: devel-2.6.23-rc4-mm1/drivers/net/pcnet32.c
> ===================================================================
> --- devel-2.6.23-rc4-mm1.orig/drivers/net/pcnet32.c
> +++ devel-2.6.23-rc4-mm1/drivers/net/pcnet32.c
> @@ -2619,7 +2619,7 @@ pcnet32_interrupt(int irq, void *dev_id)
>  			break;
>  		}
>  #else
> -		pcnet32_rx(dev, dev->napi.weight);
> +		pcnet32_rx(dev, lp->napi.weight);
>  		if (pcnet32_tx(dev)) {
>  			/* reset the chip to clear the error condition, then restart */
>  			lp->a.reset(ioaddr);

cc netdev, thanks.